Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ResourceDetail

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ResourceDetail

    public class ResourceDetail

extends java.lang.Object

Constructor Summary
`ResourceDetail()`

Method Summary
`long` | `getContainerId()`
`java.lang.String` | `getContainerName()`
`java.lang.String` | `getEndDate()`
`java.util.List<EntityAssignmentDated>` | `getGroup()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getLabel()`
`LdapContainerEntry` | `getLdapContainerEntry()`
`ModelEntity` | `getLocation()`
`java.lang.String` | `getModelVersion()`
`java.lang.String` | `getName()`
`java.util.List<PrivilegeAssignment>` | `getPrivilege()`
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getStartDate()`
`void` | `setContainerId(long containerId)`
`void` | `setContainerName(java.lang.String containerName)`
`void` | `setEndDate(java.lang.String endDate)`
`void` | `setGroup(java.util.List<EntityAssignmentDated> group)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLdapContainerEntry(LdapContainerEntry ldapContainerEntry)`
`void` | `setLocation(ModelEntity location)`
`void` | `setModelVersion(java.lang.String modelVersion)`
`void` | `setName(java.lang.String name)`
`void` | `setPrivilege(java.util.List<PrivilegeAssignment> privilege)`
`void` | `setResourceType(java.lang.String resourceType)`
`void` | `setStartDate(java.lang.String startDate)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDetail

    public ResourceDetail()

Method Detail

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getModelVersion

    public java.lang.String getModelVersion()

### setModelVersion

    public void setModelVersion(java.lang.String modelVersion)

### getContainerId

    public long getContainerId()

### setContainerId

    public void setContainerId(long containerId)

### getContainerName

    public java.lang.String getContainerName()

### setContainerName

    public void setContainerName(java.lang.String containerName)

### getResourceType

    public java.lang.String getResourceType()

### setResourceType

    public void setResourceType(java.lang.String resourceType)

### getStartDate

    public java.lang.String getStartDate()

### setStartDate

    public void setStartDate(java.lang.String startDate)

### getEndDate

    public java.lang.String getEndDate()

### setEndDate

    public void setEndDate(java.lang.String endDate)

### getLdapContainerEntry

    public LdapContainerEntry getLdapContainerEntry()

### setLdapContainerEntry

    public void setLdapContainerEntry(LdapContainerEntry ldapContainerEntry)

### getGroup

    public java.util.List<EntityAssignmentDated> getGroup()

### setGroup

    public void setGroup(java.util.List<EntityAssignmentDated> group)

### getPrivilege

    public java.util.List<PrivilegeAssignment> getPrivilege()

### setPrivilege

    public void setPrivilege(java.util.List<PrivilegeAssignment> privilege)

### getLocation

    public ModelEntity getLocation()

### setLocation

    public void setLocation(ModelEntity location)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.